For up to date documentation and features, visit http://docs.sencha.com/ext-js/4-0

## Sencha Documentation

# Ext.view.BoundListKeyNav

####

    HierarchyExt.util.KeyNavExt.view.BoundListKeyNav

A specialized Ext.util.KeyNav implementation for navigating a Ext.view.BoundList using the keyboard. The up, down, pageup, pagedown, home, and end keys move the active highlight through the list. The enter key invokes the selection model's select action using the highlighted item.

Defined By

### Config Options

#### Other Configs

Ext.view.BoundListKeyNav
view source
boundList : Ext.view.BoundList

@required The Ext.view.BoundList instance for which key navigation will be managed. This is required.

@required The Ext.view.BoundList instance for which key navigation will be managed. This is required.

Ext.util.KeyNav
view source
defaultEventAction : String
The method to call on the Ext.EventObject after this KeyNav intercepts a key. Valid values are Ext.EventObject.stopE...

The method to call on the Ext.EventObject after this KeyNav intercepts a key. Valid values are Ext.EventObject.stopEvent, Ext.EventObject.preventDefault and Ext.EventObject.stopPropagation (defaults to 'stopEvent')

Ext.util.KeyNav
view source
disabled : Boolean

True to disable this KeyNav instance (defaults to false)

True to disable this KeyNav instance (defaults to false)

Ext.util.KeyNav
view source
forceKeyDown : Boolean
Handle the keydown event instead of keypress (defaults to false). KeyNav automatically does this for IE since IE doe...

Handle the keydown event instead of keypress (defaults to false). KeyNav automatically does this for IE since IE does not propagate special keys on keypress, but setting this to true will force other browsers to also handle keydown instead of keypress.

Defined By

### Methods

Ext.util.KeyNav
view source
BoundListKeyNav( Mixed el, Object config) : void

### Parameters

- el : Mixed

  The element to bind to

- config : Object

  The config

### Returns

- void

Ext.util.KeyNav
view source
destroy( Boolean removeEl) : void

Destroy this KeyNav (this is the same as calling disable).

Destroy this KeyNav (this is the same as calling disable).

### Parameters

- removeEl : Boolean

  True to remove the element associated with this KeyNav.

### Returns

- void

Ext.util.KeyNav
view source
disable : void

Disable this KeyNav

Disable this KeyNav

### Returns

- void

Ext.util.KeyNav
view source
enable : void

Enable this KeyNav

Enable this KeyNav

### Returns

- void

Ext.util.KeyNav
view source
getKeyEvent( Object forceKeyDown) : String
Determines the event to bind to listen for keys. Depends on the forceKeyDown setting, as well as the useKeyDown optio...

Determines the event to bind to listen for keys. Depends on the forceKeyDown setting, as well as the useKeyDown option on the EventManager.

### Parameters

- forceKeyDown : Object

### Returns

- String

  The type of event to listen for.

Ext.view.BoundListKeyNav
view source
highlightAt( Number index) : void

Highlights the item at the given index.

Highlights the item at the given index.

### Parameters

- index : Number

### Returns

- void

Ext.view.BoundListKeyNav
view source
selectHighlighted( Object e) : void

Triggers selection of the currently highlighted item according to the behavior of the configured SelectionModel.

Triggers selection of the currently highlighted item according to the behavior of the configured SelectionModel.

### Parameters

- e : Object

### Returns

- void

Ext.util.KeyNav
view source
setDisabled( Boolean disabled) : void

Convenience function for setting disabled/enabled by boolean.

Convenience function for setting disabled/enabled by boolean.

### Parameters

- disabled : Boolean

### Returns

- void